Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.strong

skbio.diversity.alpha.strong(counts)

  Calculate Strong’s dominance index.

  Strong’s dominance index (\(D_w\)) is defined as

  \[D_w = max_i[(\frac{b_i}{N})-\frac{i}{S}]\]

  where \(b_i\) is the sequential cumulative totaling of the \(i^{\text{th}}\) taxon abundance values ranked from largest to smallest, \(N\) is the total number of individuals in the sample, and \(S\) is the number of taxa in the sample. The expression in brackets is computed for all taxa, and \(max_i\) denotes the maximum value in brackets for any taxa.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Strong’s dominance index.

  Notes

  Strong’s dominance index is defined in [1].

  References

  [1]

  Strong, W. L., 2002 Assessing species abundance unevenness within and between plant communities. Community Ecology, 3, 237-246.